/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "mxgpio.h"

/*
	index[n]: 0  ; BIT 0
			  1  ; BIT 1
	          2  ; BIT 2
	          3  ; BIT 3
			  ....
	data[n]: 0  ; Digital LOW
	         1  ; Digital HIGH
	         
*/

#define BUTTON_NUMBER 1
#define BIT_INDEX_BUTTON 4
#define SLEEP_INTERVAL 1000

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hGPIO;
	int portNumber;
	int	nButton = 0;
	int	nRet = 0;
	int port = 0,mode = 0;
	int n = 0;

	do
    {
		/* Open device */
		hGPIO = mxgpio_open();

		for(int i=0; i<BUTTON_NUMBER; i++)
		{
			//Get digital input
			portNumber = BIT_INDEX_BUTTON;
			nButton = mxgpio_get_data(hGPIO, portNumber);

			switch(nButton)
			{
			case 0:
				printf("Button Pressed\n");
				break;
			case 1:
				printf("Button Released\n");
				break;
			}
			
		}

		//Close device
       mxgpio_close(hGPIO);

		Sleep(SLEEP_INTERVAL);
    } while (1);

	return 0;
}

