/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "mxgpio.h"

/*
	index[n]: 0  ; BIT 0
			  1  ; BIT 1
	          2  ; BIT 2
	          3  ; BIT 3
			  ....
	data[n]: 0  ; Digital LOW
	         1  ; Digital HIGH
	         
*/

#define LED_PORT_NUMBER 1
#define BIT_INDEX_LED	0



int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hGPIO;
	int port_no;
	int data;
	int	nLED = 0;
	int	nRet = 0;
	int port = 0, mode = 0;
	int n = 0;

	WCHAR sin,smode;
	printf("LED Test Program\n");
    printf("\t (0) Exit Program\n");
    printf("\t (1) Display LED\n");
    printf("\t (2) Set LED value\n");
	
	sin = getwchar();
	n = _wtoi(&sin);
	
	do
    {
        switch (n)
        {
            // if char == '1', display the digital input
            case 1:
				/* Open device */
				hGPIO = mxgpio_open();

				for(int i=0; i<LED_PORT_NUMBER; i++)
				{
					//Get digital input
					port_no = BIT_INDEX_LED;
					nLED = mxgpio_get_data(hGPIO, port_no);
					nLED = nLED == 0? 1:0; 
					printf("LED[%d] = %d\n",port_no, nLED);
				}

				  /* Close device */ 
                mxgpio_close(hGPIO);
                break;

		
            // if char == '2', Set the digital output
            case 2:
             
				/* Get Port Number */
				port_no = BIT_INDEX_LED; 
			
				/* Get Value */
              getwchar();
              printf("Input the value (0:disable  1:enable) = ");
				smode = getwchar();
				data = _wtoi(&smode);
		
				/* Open device */
				hGPIO = mxgpio_open();
				
				/* Set LED */
				data = data == 0? 1:0; 
				nRet = mxgpio_set_data(hGPIO, port_no, data);
				
				if(nRet==-1)
				{
					printf("Set led signal fail!\n");
				}
				else
				{
					printf("Set led signal success!\n");
				}

				/* Close device */
				mxgpio_close(hGPIO);
                break;
        }
		getwchar();
       sin = getwchar();
       n = _wtoi(&sin);
    } while (n != 0);

	return 0;
}

